/*
 * TreeJRField.java
 *
 * Created on 2 agosto 2004, 23.48
 */

package it.businesslogic.ireport.gui;

/**
 *
 * @author  Administrator
 */
public /**
 * This class is used in extended datasource tree.
 */
class TreeJRField
{
    private it.businesslogic.ireport.JRField field= null;
    private Class obj = null;
   
    public String toString()
    {
        if (field != null)
        {
            return field.getName() + " (" + this.getObj().getName() +")";
        }
        return "???";
    }
    
    /**
     * Getter for property field.
     * @return Value of property field.
     */
    public it.businesslogic.ireport.JRField getField() {
        return field;
    }
    
    /**
     * Setter for property field.
     * @param field New value of property field.
     */
    public void setField(it.businesslogic.ireport.JRField field) {
        this.field = field;
    }
    
    /**
     * Getter for property obj.
     * @return Value of property obj.
     */
    public java.lang.Class getObj() {
        return obj;
    }
    
    /**
     * Setter for property obj.
     * @param obj New value of property obj.
     */
    public void setObj(java.lang.Class obj) {
        this.obj = obj;
    }
    
}
